Index: c/src/tests/tmtests/tm05/system.h
===================================================================
--- c/src/tests/tmtests/tm05/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm05/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:14:43 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm06/system.h
===================================================================
--- c/src/tests/tmtests/tm06/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm06/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:14:54 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm07/system.h
===================================================================
--- c/src/tests/tmtests/tm07/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm07/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:15:05 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm08/system.h
===================================================================
--- c/src/tests/tmtests/tm08/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm08/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:15:15 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm09/system.h
===================================================================
--- c/src/tests/tmtests/tm09/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm09/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:15:26 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm09/task1.c
===================================================================
--- c/src/tests/tmtests/tm09/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm09/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -9,5 +9,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:15:28 joel Exp
  */
 
@@ -58,4 +58,5 @@
       1,
       OPERATION_COUNT,
+      16,
       RTEMS_DEFAULT_ATTRIBUTES,
       &Queue_id
@@ -104,4 +105,5 @@
   long              buffer[4];
   rtems_status_code status;
+  rtems_unsigned32  size;
 
   send_loop_time    = 0;
@@ -135,5 +137,5 @@
     Timer_initialize();
       for ( index=1 ; index <= OPERATION_COUNT ; index++ )
-        (void) rtems_message_queue_send( Queue_id, (long (*)[4])buffer );
+        (void) rtems_message_queue_send( Queue_id, (long (*)[4])buffer, 16 );
     send_time += Read_timer();
 
@@ -143,4 +145,5 @@
                  Queue_id,
                  (long (*)[4])buffer,
+                 &size,
                  RTEMS_DEFAULT_OPTIONS,
                  RTEMS_NO_TIMEOUT
@@ -150,5 +153,5 @@
     Timer_initialize();
       for ( index=1 ; index <= OPERATION_COUNT ; index++ )
-        (void) rtems_message_queue_urgent( Queue_id, (long (*)[4])buffer );
+        (void) rtems_message_queue_urgent( Queue_id, (long (*)[4])buffer, 16 );
     urgent_time += Read_timer();
 
@@ -158,4 +161,5 @@
                  Queue_id,
                  (long (*)[4])buffer,
+                 &size,
                  RTEMS_DEFAULT_OPTIONS,
                  RTEMS_NO_TIMEOUT
@@ -170,5 +174,6 @@
     status = rtems_message_queue_send(
        Queue_id,
-       (long (*)[4])buffer
+       (long (*)[4])buffer,
+       16
     );
     directive_failed( status, "rtems_message_queue_send" );
Index: c/src/tests/tmtests/tm10/system.h
===================================================================
--- c/src/tests/tmtests/tm10/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm10/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:15:37 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm10/task1.c
===================================================================
--- c/src/tests/tmtests/tm10/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm10/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -9,5 +9,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:15:39 joel Exp
  */
 
@@ -52,4 +52,5 @@
 {
   rtems_unsigned32    index;
+  rtems_unsigned32    size;
   rtems_task_entry    task_entry;
   rtems_status_code   status;
@@ -83,4 +84,5 @@
     1,
     OPERATION_COUNT,
+    16,
     RTEMS_DEFAULT_ATTRIBUTES,
     &Queue_id
@@ -98,4 +100,5 @@
                Queue_id,
                (long (*)[4]) Buffer,
+               &size,
                RTEMS_NO_WAIT,
                RTEMS_NO_TIMEOUT
@@ -117,8 +120,11 @@
 )
 {
+  rtems_unsigned32 size;
+  
   Timer_initialize();
      (void) rtems_message_queue_receive(
               Queue_id,
               (long (*)[4]) Buffer,
+              &size,
               RTEMS_DEFAULT_OPTIONS,
               RTEMS_NO_TIMEOUT
@@ -130,7 +136,10 @@
 )
 {
+  rtems_unsigned32 size;
+  
   (void) rtems_message_queue_receive(
            Queue_id,
            (long (*)[4]) Buffer,
+           &size,
            RTEMS_DEFAULT_OPTIONS,
            RTEMS_NO_TIMEOUT
Index: c/src/tests/tmtests/tm11/system.h
===================================================================
--- c/src/tests/tmtests/tm11/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm11/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:15:48 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm11/task1.c
===================================================================
--- c/src/tests/tmtests/tm11/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm11/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -9,5 +9,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:15:50 joel Exp
  */
 
@@ -79,4 +79,5 @@
     rtems_build_name( 'M', 'Q', '1', ' '  ),
     OPERATION_COUNT,
+    16,
     RTEMS_DEFAULT_ATTRIBUTES,
     &Queue_id
@@ -107,5 +108,5 @@
 
   Timer_initialize();
-    (void) rtems_message_queue_send( Queue_id, (long (*)[4]) Buffer );
+    (void) rtems_message_queue_send( Queue_id, (long (*)[4]) Buffer, 16 );
 }
 
@@ -114,12 +115,15 @@
 )
 {
+  rtems_unsigned32 size;
+
   (void) rtems_message_queue_receive(
            Queue_id,
            (long (*)[4]) Buffer,
+           &size,
            RTEMS_DEFAULT_OPTIONS,
            RTEMS_NO_TIMEOUT
          );
 
-  (void) rtems_message_queue_send( Queue_id, (long (*)[4]) Buffer );
+  (void) rtems_message_queue_send( Queue_id, (long (*)[4]) Buffer, size );
 }
 
@@ -128,7 +132,10 @@
 )
 {
+  rtems_unsigned32 size;
+  
   (void) rtems_message_queue_receive(
            Queue_id,
            (long (*)[4]) Buffer,
+           &size,
            RTEMS_DEFAULT_OPTIONS,
            RTEMS_NO_TIMEOUT
Index: c/src/tests/tmtests/tm12/system.h
===================================================================
--- c/src/tests/tmtests/tm12/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm12/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:15:59 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm12/task1.c
===================================================================
--- c/src/tests/tmtests/tm12/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm12/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -9,5 +9,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:16:00 joel Exp
  */
 
@@ -75,4 +75,5 @@
     rtems_build_name( 'M', 'Q', '1', ' ' ),
     OPERATION_COUNT,
+    16,
     RTEMS_DEFAULT_ATTRIBUTES,
     &Queue_id
@@ -116,5 +117,5 @@
   Timer_initialize();
     for ( index=1 ; index <= OPERATION_COUNT ; index++ )
-      (void) rtems_message_queue_send( Queue_id, (long (*)[4]) Buffer );
+      (void) rtems_message_queue_send( Queue_id, (long (*)[4]) Buffer, 16 );
   end_time = Read_timer();
 
@@ -134,7 +135,10 @@
 )
 {
+  rtems_unsigned32 size;
+
   (void) rtems_message_queue_receive(
            Queue_id,
            (long (*)[4]) Buffer,
+           &size,
            RTEMS_DEFAULT_OPTIONS,
            RTEMS_NO_TIMEOUT
Index: c/src/tests/tmtests/tm13/system.h
===================================================================
--- c/src/tests/tmtests/tm13/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm13/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:16:11 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm13/task1.c
===================================================================
--- c/src/tests/tmtests/tm13/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm13/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -9,5 +9,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:16:13 joel Exp
  */
 
@@ -78,4 +78,5 @@
     rtems_build_name( 'M', 'Q', '1', ' '  ),
     OPERATION_COUNT,
+    16,
     RTEMS_DEFAULT_ATTRIBUTES,
     &Queue_id
@@ -106,5 +107,5 @@
 
   Timer_initialize();
-    (void) rtems_message_queue_urgent( Queue_id, (long (*)[4]) Buffer );
+    (void) rtems_message_queue_urgent( Queue_id, (long (*)[4]) Buffer, 16 );
 }
 
@@ -113,12 +114,15 @@
 )
 {
+  rtems_unsigned32 size;
+
   (void) rtems_message_queue_receive(
            Queue_id,
            (long (*)[4]) Buffer,
+           &size,
            RTEMS_DEFAULT_OPTIONS,
            RTEMS_NO_TIMEOUT
          );
 
-  (void) rtems_message_queue_urgent( Queue_id, (long (*)[4]) Buffer );
+  (void) rtems_message_queue_urgent( Queue_id, (long (*)[4]) Buffer, size );
 }
 
@@ -127,7 +131,10 @@
 )
 {
+  rtems_unsigned32 size;
+
   (void) rtems_message_queue_receive(
            Queue_id,
            (long (*)[4]) Buffer,
+           &size,
            RTEMS_DEFAULT_OPTIONS,
            RTEMS_NO_TIMEOUT
Index: c/src/tests/tmtests/tm14/system.h
===================================================================
--- c/src/tests/tmtests/tm14/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm14/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:16:22 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm14/task1.c
===================================================================
--- c/src/tests/tmtests/tm14/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm14/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -9,5 +9,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:16:24 joel Exp
  */
 
@@ -75,4 +75,5 @@
     rtems_build_name( 'M', 'Q', '1', ' ' ),
     OPERATION_COUNT,
+    16,
     RTEMS_DEFAULT_ATTRIBUTES,
     &Queue_id
@@ -116,5 +117,5 @@
   Timer_initialize();
     for ( index=1 ; index <= OPERATION_COUNT ; index++ )
-      (void) rtems_message_queue_urgent( Queue_id, (long (*)[4]) Buffer );
+      (void) rtems_message_queue_urgent( Queue_id, (long (*)[4]) Buffer, 16 );
   end_time = Read_timer();
 
@@ -134,7 +135,10 @@
 )
 {
+  rtems_unsigned32 size;
+
   (void) rtems_message_queue_receive(
            Queue_id,
            (long (*)[4]) Buffer,
+           &size,
            RTEMS_DEFAULT_OPTIONS,
            RTEMS_NO_TIMEOUT
Index: c/src/tests/tmtests/tm15/system.h
===================================================================
--- c/src/tests/tmtests/tm15/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm15/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:16:33 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm16/system.h
===================================================================
--- c/src/tests/tmtests/tm16/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm16/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:16:45 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm17/system.h
===================================================================
--- c/src/tests/tmtests/tm17/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm17/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:16:57 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm18/system.h
===================================================================
--- c/src/tests/tmtests/tm18/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm18/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:17:15 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm19/system.h
===================================================================
--- c/src/tests/tmtests/tm19/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm19/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:17:35 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm20/system.h
===================================================================
--- c/src/tests/tmtests/tm20/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm20/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:17:56 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm20/task1.c
===================================================================
--- c/src/tests/tmtests/tm20/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm20/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -9,5 +9,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:18:00 joel Exp
  */
 
@@ -90,5 +90,4 @@
   rtems_mode          previous_mode;
   rtems_task_priority previous_priority;
-  rtems_unsigned32    return_value;
   rtems_status_code   status;
 
@@ -351,5 +350,5 @@
   Timer_initialize();
     for ( index=1 ; index <= OPERATION_COUNT ; index++ )
-      (void) rtems_io_initialize( 0, 0, NULL, &return_value );
+      (void) rtems_io_initialize( 0, 0, NULL );
   end_time = Read_timer();
 
@@ -364,5 +363,5 @@
   Timer_initialize();
     for ( index=1 ; index <= OPERATION_COUNT ; index++ )
-      (void) rtems_io_open( 0, 0, NULL, &return_value );
+      (void) rtems_io_open( 0, 0, NULL );
   end_time = Read_timer();
 
@@ -377,5 +376,5 @@
   Timer_initialize();
     for ( index=1 ; index <= OPERATION_COUNT ; index++ )
-      (void) rtems_io_close( 0, 0, NULL, &return_value );
+      (void) rtems_io_close( 0, 0, NULL );
   end_time = Read_timer();
 
@@ -390,5 +389,5 @@
   Timer_initialize();
     for ( index=1 ; index <= OPERATION_COUNT ; index++ )
-      (void) rtems_io_read( 0, 0, NULL, &return_value );
+      (void) rtems_io_read( 0, 0, NULL );
   end_time = Read_timer();
 
@@ -403,5 +402,5 @@
   Timer_initialize();
     for ( index=1 ; index <= OPERATION_COUNT ; index++ )
-      (void) rtems_io_write( 0, 0, NULL, &return_value );
+      (void) rtems_io_write( 0, 0, NULL );
   end_time = Read_timer();
 
@@ -416,5 +415,5 @@
   Timer_initialize();
     for ( index=1 ; index <= OPERATION_COUNT ; index++ )
-      (void) rtems_io_control( 0, 0, NULL, &return_value );
+      (void) rtems_io_control( 0, 0, NULL );
   end_time = Read_timer();
 
Index: c/src/tests/tmtests/tm21/system.h
===================================================================
--- c/src/tests/tmtests/tm21/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm21/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:18:16 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm21/task1.c
===================================================================
--- c/src/tests/tmtests/tm21/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm21/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -9,5 +9,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:18:19 joel Exp
  */
 
@@ -73,4 +73,5 @@
       index,
       OPERATION_COUNT,
+      16,
       RTEMS_DEFAULT_ATTRIBUTES,
       &id
Index: c/src/tests/tmtests/tm22/system.h
===================================================================
--- c/src/tests/tmtests/tm22/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm22/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:18:37 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm22/task1.c
===================================================================
--- c/src/tests/tmtests/tm22/task1.c	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm22/task1.c	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -9,5 +9,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  task1.c,v 1.2 1995/05/31 17:18:40 joel Exp
  */
 
@@ -45,5 +45,6 @@
   status = rtems_message_queue_create(
     rtems_build_name( 'M', 'Q', '1', ' '),
-    0,
+    100,
+    16,
     RTEMS_DEFAULT_ATTRIBUTES,
     &Queue_id
@@ -92,4 +93,5 @@
              Queue_id,
              (long (*)[4]) Buffer,
+             16,
              &count
            );
@@ -115,4 +117,5 @@
   rtems_unsigned32  index;
   rtems_unsigned32  count;
+  rtems_unsigned32  size;
   rtems_status_code status;
 
@@ -133,4 +136,5 @@
     Queue_id,
     (long (*)[4]) Buffer,
+    &size,
     RTEMS_DEFAULT_OPTIONS,
     RTEMS_NO_TIMEOUT
@@ -143,4 +147,5 @@
                Queue_id,
                (long (*)[4]) Buffer,
+               16,
                &count
              );
@@ -158,4 +163,5 @@
            Queue_id,
            (long (*)[4]) Buffer,
+           &size,
            RTEMS_DEFAULT_OPTIONS,
            RTEMS_NO_TIMEOUT
@@ -187,4 +193,5 @@
              Queue_id,
              (long (*)[4]) Buffer,
+             16,
              &count
            );
Index: c/src/tests/tmtests/tm23/system.h
===================================================================
--- c/src/tests/tmtests/tm23/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm23/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:18:54 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm24/system.h
===================================================================
--- c/src/tests/tmtests/tm24/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm24/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:19:07 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm25/system.h
===================================================================
--- c/src/tests/tmtests/tm25/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm25/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:19:17 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm26/fptest.h
===================================================================
--- c/src/tests/tmtests/tm26/fptest.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm26/fptest.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -23,5 +23,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  fptest.h,v 1.2 1995/05/31 17:19:26 joel Exp
  */
 
Index: c/src/tests/tmtests/tm26/system.h
===================================================================
--- c/src/tests/tmtests/tm26/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm26/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,12 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:19:30 joel Exp
  */
 
 
-#include <rtems.h>
+#include <bsp.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm27/system.h
===================================================================
--- c/src/tests/tmtests/tm27/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm27/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:19:41 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm28/system.h
===================================================================
--- c/src/tests/tmtests/tm28/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm28/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:19:51 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tm29/system.h
===================================================================
--- c/src/tests/tmtests/tm29/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tm29/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:20:02 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tmck/system.h
===================================================================
--- c/src/tests/tmtests/tmck/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tmck/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:20:12 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
Index: c/src/tests/tmtests/tmoverhd/dumrtems.h
===================================================================
--- c/src/tests/tmtests/tmoverhd/dumrtems.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tmoverhd/dumrtems.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -12,5 +12,5 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  dumrtems.h,v 1.2 1995/05/31 17:20:21 joel Exp
  */
 
Index: c/src/tests/tmtests/tmoverhd/system.h
===================================================================
--- c/src/tests/tmtests/tmoverhd/system.h	(revision 556fb911c8e8b8de70f38b376e33fd8c8bc87dc6)
+++ c/src/tests/tmtests/tmoverhd/system.h	(revision 4b374f36e7172d59d6d8c252973c1ef65637ecbb)
@@ -11,13 +11,11 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  $Id$
+ *  system.h,v 1.2 1995/05/31 17:20:26 joel Exp
  */
 
 
-#include <rtems.h>
+#include <coverhd.h>
+#include <tmacros.h>
 
-#include "coverhd.h"
-#include "tmacros.h"
-
-#include "timesys.h"
-#include "timegvar.h"
+#include <timesys.h>
+#include <timegvar.h>
